import http from '@/api/http';
/**
 * 频道管理-列表
 */
export function operationChannelList(params?: object) {
  return http.get('/operation/channel/list', params);
}

/**
 * 频道管理-开启状态
 */
export function operationChannelEnableStatus(
  id: number | string,
  params?: object
) {
  return http.post(`/operation/channel/enableStatus/${id}`, params);
}
/**
 * 频道管理-添加
 */
export function operationChannelAdd(params: object) {
  return http.post(`/operation/channel/add`, params);
}
/**
 * 频道管理-配置
 */
export function operationChannelSetConfig(id: number | string, params: object) {
  return http.post(`/operation/channel/setting/${id}`, params);
}
/**
 * 频道管理-删除
 */
export function operationChannelDel(id: number | string, params?: object) {
  return http.post(`/operation/channel/del/${id}`, params);
}
